Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044734
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Y. DBSourceManagermajorhave not tried2020-07-31 14:012020-08-05 07:06
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044734: Remove jar library: lib/stax-api-1.0.1.jar as not required and causes split package with java system image

DescriptionJDK itself already includes the stax-api which is used by dbsourcemanager code.

In PI repository we removed the stax-api-1.0.1.jar file already in 2001 as not being required (same content is there from JDK iself)

changeset: 11895:55ce8ee82df6
user: Stefan Hühner <stefan.huehner@openbravo.com>
date: Mon May 02 18:13:18 2011 +0200
files: src-db/database/lib/stax-api-1.0.1.jar
description:
[lib-update][cleanup] remove stax-api jar as included in java6-se

However the same jar file was left inside the dbsourcemanager repo lib folder until now.

As dbsourcemanager code is used at runtime (as part of pi) without the jar file present since 2011 removing it from dbsm repo itself is just cleanup without any functional change expected.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0044733 newplatform Tracking issue: Find and fix all jar libaries with split packages between classpath and system image (Forbidden since Java9) 

-  Notes
(0121742)
shuehner (administrator)
2020-07-31 14:03

This only removes a jar present in dbsm classpath during its compilation.
It should not require updating dbsourcemanager.jar in the product but only modify dbsm repo itself.
(0121812)
hgbot (developer)
2020-08-04 16:28

Merge Request created: https://gitlab.com/openbravo/product/dbsm/-/merge_requests/11 [^]
(0121820)
hgbot (developer)
2020-08-05 07:06

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/dbsm [^]
Changeset: 3b88bf66926e360d89d5536e50d8aa878d615128
Author: Stefan Huehner <stefan.huehner@openbravo.com>
Date: 2020-08-04T16:24:42+02:00
URL: https://gitlab.com/openbravo/product/dbsm/-/commit/3b88bf66926e360d89d5536e50d8aa878d615128 [^]

Fixed FR-44734: Remove stax-api jar file as not really required.

Content of stax-api is present in the JDK itself and the files was
removed from pi repositority already in 2011. This removes it
also from the dbsm repository as it also is not required there.

This indirectly fixed the split package situation reportd in 44734
by just removing the jar completely.

---
M .classpath
M src-test/.classpath
R lib/stax-api-1.0.1.jar
---
(0121821)
hgbot (developer)
2020-08-05 07:06

Merge request merged: https://gitlab.com/openbravo/product/dbsm/-/merge_requests/11 [^]

- Issue History
Date Modified Username Field Change
2020-07-31 14:01 shuehner New Issue
2020-07-31 14:01 shuehner Assigned To => platform
2020-07-31 14:01 shuehner Modules => Core
2020-07-31 14:01 shuehner Triggers an Emergency Pack => No
2020-07-31 14:01 shuehner Relationship added blocks 0044733
2020-07-31 14:03 shuehner Note Added: 0121742
2020-08-04 16:28 hgbot Note Added: 0121812
2020-08-04 16:31 shuehner Assigned To platform => shuehner
2020-08-04 16:31 shuehner Status new => scheduled
2020-08-05 07:06 hgbot Resolution open => fixed
2020-08-05 07:06 hgbot Status scheduled => closed
2020-08-05 07:06 hgbot Note Added: 0121820
2020-08-05 07:06 hgbot Note Added: 0121821


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker